Related Links (Summary Tile) Content

Last update: September 10, 2026
•
1 min to read

Retrieve related links summary tile content for one or more entities.

HTTP Method

POST

Endpoint

/api/data/records/summarytilecontent

Request URL

{Base URL}/api/data/records/summarytilecontent

Sample Request Body

This sample JSON retrieves related links or summary tile content for specified entities using configured queries.

{
  "QueryInfo": {
    "Meta": {
      "PageInfo": {
        "PageSize": 10,
        "PageNumber": 1
      },
      "OrderBy": [
        {
          "Field": "DateCreated",
          "Type": "Entity"
        }
      ]
    },
    "Nodes": [
      {
        "Id": "Node0",
        "Queries": [
          {
            "Name": "CustomsRecordal",
            "IDList": [3]
          }
        ]
      },
      {
        "Id": "Node2",
        "Queries": [
          {
            "Name": "CustomsTraining"
          }
        ],
        "FilterByTeam": false
      }
    ]
  },
  "VizInfo": {
    "IntelVizLayoutName": "EntityExplorerLayout"
  }
}

Parameters

Param NameData TypeDescription
PageSizeintNumber of entities per page (for example, 10).
PageNumberintPage number (for example, 1).
FieldStringField used for sorting (for example, DateCreated).
TypeStringType to order by (for example, Entity).
NameStringThe entity type (for example, Investigation, Custom Recordal).
IDListIntegerEntity ID (for example, 3).
FieldsStringField to display as a chart field (for example, Name, DateUpdated, status).
FilterGroupJoinConditionConditionLogical operator used to combine filters: AND / OR.
FilterByTeamBooleantrue - Returns only entities within your organization/team. false - Returns entities across the system, regardless of organization/team.
IntelVizLayoutNameStringLayout type (EntityExplorerLayout).

Note: Missing or invalid credentials returns a 401 Unauthorized error.

Curl Example

Multi-line format (for readability):

curl --header "Accept-Language: en" \
     --http1.1 \
     --insecure \
     --verbose \
     --ntlm \
     --user "device-name1\jdoe:P@ssw0rd" \
     -X POST \
     "https://hubstreamproduction.hubstreamonline.com/api/data/records/summarytilecontent" \
     -H "Content-Type: application/json" \
     -d '{
       "QueryInfo": {
         "Meta": {
           "PageInfo": {
             "PageSize": 10,
             "PageNumber": 1
           },
           "OrderBy": [
             {
               "Field": "DateCreated",
               "Type": "Entity"
             }
           ]
         },
         "Nodes": [
           {
             "Id": "Node0",
             "Queries": [
               {
                 "Name": "CustomsRecordal",
                 "IDList": [3]
               }
             ]
           },
           {
             "Id": "Node2",
             "Queries": [
               {
                 "Name": "CustomsTraining"
               }
             ],
             "FilterByTeam": false
           }
         ]
       },
       "VizInfo": {
         "IntelVizLayoutName": "EntityExplorerLayout"
       }
     }'

Single-line format (for terminal use):

curl --header "Accept-Language: en" --http1.1 --insecure --verbose --ntlm --user "device-name1\jdoe:P@ssw0rd" -X POST "https://hubstreamproduction.hubstreamonline.com/api/data/records/summarytilecontent" -H "Content-Type: application/json" -d "{\"QueryInfo\":{\"Meta\":{\"PageInfo\":{\"PageSize\":10,\"PageNumber\":1},\"OrderBy\":[{\"Field\":\"DateCreated\",\"Type\":\"Entity\"}]},\"Nodes\":[{\"Id\":\"Node0\",\"Queries\":[{\"Name\":\"CustomsRecordal\",\"IDList\":[3]}]},{\"Id\":\"Node2\",\"Queries\":[{\"Name\":\"CustomsTraining\"}],\"FilterByTeam\":false}]},\"VizInfo\":{\"IntelVizLayoutName\":\"EntityExplorerLayout\"}}"

Sample Responses

Status code 2XX indicates successful request and response.

200 OK

Description: Operation succeeded.

Response Body:

[
  { "Name": "CT-00001:", "ID": "1" },
  { "Name": "CT-00002:", "ID": "2" },
  { "Name": "CT-00003:", "ID": "3" },
  { "Name": "CT-00004:", "ID": "4" },
  { "Name": "CT-00005:", "ID": "5" },
  { "Name": "CT-00006:", "ID": "6" }
]